## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate winnow

Name:           rust-winnow
Version:        0.7.12
Release:        %autorelease
Summary:        Byte-oriented, zero-copy, parser combinators library

License:        MIT
URL:            https://crates.io/crates/winnow
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove references to benchmark and example binaries from Cargo.toml
# * drop unused, benchmark-only criterion dev-dependency
# * drop dev-dependencies which are only needed for example binaries
Patch:          winnow-fix-metadata.diff
Patch:          0001-Port-from-is_terminal_polyfill-to-std-io-IsTerminal.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A byte-oriented, zero-copy, parser combinators library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-doc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-doc-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-doc" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-doc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-recover-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-recover-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-recover" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-recover-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.12-1
- Update to version 0.7.12; Fixes RHBZ#2379566

* Wed Jul 09 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.11-1
- Update to version 0.7.11; Fixes RHBZ#2364614

* Sat May 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.9-1
- Update to version 0.7.9; Fixes RHBZ#2363353

* Thu Apr 24 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.7-1
- Update to version 0.7.7; Fixes RHBZ#2358086

* Tue Mar 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2346707

* Wed Feb 19 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2342449

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 14 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.24-1
- Update to version 0.6.24; Fixes RHBZ#2337038

* Fri Jan 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.22-1
- Update to version 0.6.22; Fixes RHBZ#2335071

* Sat Oct 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.20-1
- Update to version 0.6.20; Fixes RHBZ#2314500

* Sun Aug 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.18-1
- Update to version 0.6.18; Fixes RHBZ#2302122

* Fri Jul 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.16-1
- Update to version 0.6.16; Fixes RHBZ#2290723

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.11-1
- Update to version 0.6.11; Fixes RHBZ#2283673

* Tue May 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.8-1
- Update to version 0.6.8; Fixes RHBZ#2277380

* Fri Apr 12 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-1
- Update to version 0.6.6; Fixes RHBZ#2274538

* Tue Mar 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Update to version 0.6.5; Fixes RHBZ#2266631

* Mon Feb 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Update to version 0.6.2; Fixes RHBZ#2262145

* Sun Feb 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.40-1
- Update to version 0.5.40

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.35-1
- Update to version 0.5.35; Fixes RHBZ#2260544

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.34-1
- Update to version 0.5.34; Fixes RHBZ#2257070

* Fri Jan 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.32-1
- Update to version 0.5.32; Fixes RHBZ#2256674

* Wed Dec 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.31-1
- Update to version 0.5.31; Fixes RHBZ#2252809

* Thu Nov 09 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.19-1
- Update to version 0.5.19; Fixes RHBZ#2244145

* Sat Oct 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.16-1
- Update to version 0.5.16; Fixes RHBZ#2242413

* Wed Sep 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.15-1
- Update to version 0.5.15; Fixes RHBZ#2221328

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.9-1
- Update to version 0.4.9

* Fri Jul 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.8-1
- Update to version 0.4.8; Fixes RHBZ#2220956

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.7-1
- Update to version 0.4.7; Fixes RHBZ#2215139

* Mon May 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-1
- Update to version 0.4.6; Fixes RHBZ#2191714

* Mon Apr 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Initial import (#2183331)
## END: Generated by rpmautospec
